pkgCache::Dep Struct Reference

## Public Types

enum | DepType { Depends =1 , PreDepends =2 , Suggests =3 , Recommends =4 , Conflicts =5 , Replaces =6 , Obsoletes =7 , DpkgBreaks =8 , Enhances =9 }
enum | DepCompareOp { NoOp =0 , LessEq =0x1 , GreaterEq =0x2 , Less =0x3 , Greater =0x4 , Equals =0x5 , NotEquals =0x6 , Or =0x10 , MultiArchImplicit =0x20 , ArchSpecific =0x40 }
| available compare operators More...

## Member Enumeration Documentation

## DepCompareOp

enum DepCompareOp

available compare operators

The lower 4 bits are used to indicate what operator is being specified and the upper 4 bits are flags. OR indicates that the next package is or'd with the current package.

Enumerator
Or | or'ed with the next dependency
MultiArchImplicit | generated internally, not spelled out in the index
ArchSpecific | was decorated with an explicit architecture in index

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h